bindings-libpci: Low level bindings to libpci

[ bsd3, ffi, library ] [ Propose Tags ]

Low level bindings to libpci:

https://github.com/pciutils/pciutils

This package uses bindings-DSL and conforms to its naming convention.


[Skip to Readme]
Versions [faq] 0.1.0.0, 0.2.0.0, 0.3.0.0, 0.4.0.0
Change log CHANGELOG.md
Dependencies base (>=4.12 && <4.15), bindings-DSL (>=1.0.24 && <1.1) [details]
License BSD-3-Clause
Copyright Copyright (c) 2020 David Cox
Author dopamane
Maintainer dopamane <standard.semiconductor@gmail.com>
Category FFI
Bug tracker https://github.com/standardsemiconductor/bindings-libpci/issues
Source repo head: git clone git://github.com/standardsemiconductor/bindings-libpci.git -b main
Uploaded by dopamane at 2020-12-14T20:14:20Z
Distributions NixOS:0.4.0.0
Downloads 126 total (46 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs pending
Build status unknown [no reports yet]

Modules

  • Bindings
    • Libpci
      • Bindings.Libpci.Header
      • Bindings.Libpci.Pci
      • Bindings.Libpci.Types

Flags

NameDescriptionDefaultType
libpci-352

libpci is 3.5.2 or later

DisabledAutomatic
libpci-353

libpci is 3.5.3 or later

DisabledAutomatic
libpci-355

libpci is 3.5.5 or later

DisabledAutomatic
libpci-360

libpci is 3.6.0 or later

DisabledAutomatic
libpci-363

libpci is 3.6.3 or later

DisabledAutomatic
libpci-364

libpci is 3.6.4 or later

DisabledAutomatic
libpci-370

libpci is 3.7.0 or later

DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for bindings-libpci-0.4.0.0

[back to package description]

Haskell CI

bindings-libpci

Low level bindings to libpci See also the pciutils homepage.

This package uses bindings-DSL and conforms to its naming convention.

For a higher-level and more Haskell friendly binding (which uses this package) see the pci package.

Installing

Make sure the libpci C library is installed:

  • Ubuntu Linux: sudo apt install libpci-dev
  • Arch Linux: sudo pacman -S pciutils